summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorChristian Goetze (CG) <cg@lindenlab.com>2011-03-16 16:44:19 -0700
committerChristian Goetze (CG) <cg@lindenlab.com>2011-03-16 16:44:19 -0700
commitfea0cefcb3442ca640a7f502ba59398d32de3dbf (patch)
tree8231e0728392d901a7e8124fc4372621553d4666
parentdc8092a5d47cebb63e7ed9d3bcd13ec8bf72d903 (diff)
Add a more precise error check for "autobuild source_environment".
-rwxr-xr-xbuild.sh11
1 files changed, 10 insertions, 1 deletions
diff --git a/build.sh b/build.sh
index 86693a6fdb..f0c5dc91fc 100755
--- a/build.sh
+++ b/build.sh
@@ -142,7 +142,16 @@ then
fi
# load autbuild provided shell functions and variables
-eval "$("$AUTOBUILD" source_environment)"
+if "$AUTOBUILD" source_environment > source_environment
+then
+ . source_environment
+else
+ # dump environment variables for debugging
+ env|sort
+ record_failure "autobuild source_environment failed"
+ cat source_environment >&3
+ exit 1
+fi
# dump environment variables for debugging
env|sort